- Random123-1.09 Documentation

Public Types | Public Member Functions | Static Public Attributes

# r123::ARS4x32_R< ROUNDS > Class Template Reference
[ARS and AESNI Classes and Typedefs]

`#include <Random123/ars.h>`

List of all members.

## Public Types
typedef ars4x32_ctr_t | ctr_type
typedef ars4x32_key_t | key_type
typedef ars4x32_key_t | ukey_type
## Public Member Functions
ctr_type | operator() (ctr_type ctr, key_type key) const
## Static Public Attributes
static const unsigned int | rounds = ROUNDS

### template<unsigned int ROUNDS>
class r123::ARS4x32_R< ROUNDS >

## Member Typedef Documentation

template<unsigned int ROUNDS>

typedef ars4x32_ctr_t r123::ARS4x32_R< ROUNDS >::ctr_type

template<unsigned int ROUNDS>

typedef ars4x32_key_t r123::ARS4x32_R< ROUNDS >::key_type

template<unsigned int ROUNDS>

typedef ars4x32_key_t r123::ARS4x32_R< ROUNDS >::ukey_type

## Member Function Documentation

template<unsigned int ROUNDS>

ctr_type r123::ARS4x32_R< ROUNDS >::operator() | ( | ctr_type | ctr,
|  | key_type | key |
| ) |  |  | const`[inline]`

## Member Data Documentation

template<unsigned int ROUNDS>

const unsigned int r123::ARS4x32_R< ROUNDS >::rounds = ROUNDS`[static]`

The documentation for this class was generated from the following file:

- Random123/ars.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines